Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Protected Member Functions
Argus::InputStream Class Reference

Input streams are created and owned by CaptureSessions, and they maintain a connection with an EGLStream in order to acquire frames as an EGLStream consumer. More...

`#include <Stream.h>`

Inheritance diagram for Argus::InputStream:

List of all members.

## Protected Member Functions

| ~InputStream ()
Protected Member Functions inherited from Argus::InterfaceProvider
| ~InterfaceProvider ()
Protected Member Functions inherited from Argus::Destructable
| ~Destructable ()

## Additional Inherited Members

Public Member Functions inherited from Argus::InterfaceProvider
virtual Interface * | getInterface (const InterfaceID &interfaceId)=0
| Acquire the interface specified by `interfaceId`.
Public Member Functions inherited from Argus::Destructable
virtual void | destroy ()=0
| Destroy this object.

## Detailed Description

Input streams are created and owned by CaptureSessions, and they maintain a connection with an EGLStream in order to acquire frames as an EGLStream consumer.

Definition at line 43 of file Stream.h.

## Constructor & Destructor Documentation

Argus::InputStream::~InputStream | ( |  | ) |

inlineprotected

Definition at line 46 of file Stream.h.

The documentation for this class was generated from the following file:

- include/Argus/Stream.h